Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.http.client
Class RequestPermissionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.http.client.RequestException
                  com.google.gwt.http.client.RequestPermissionException

All Implemented Interfaces:
  java.io.Serializable

    public class RequestPermissionException

extends RequestException

Exception thrown when the `RequestBuilder` attempts to make a request to a URL which violates the Same-Origin Security Policy.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <!--                                                                        -->
>     <!-- Copyright 2007 Google Inc.                                             -->
>     <!-- Licensed under the Apache License, Version 2.0 (the "License"); you    -->
>     <!-- may not use this file except in compliance with the License. You may   -->
>     <!-- may obtain a copy of the License at                                    -->
>     <!--                                                                        -->
>     <!-- http://www.apache.org/licenses/LICENSE-2.0                             -->
>     <!--                                                                        -->
>     <!-- Unless required by applicable law or agreed to in writing, software    -->
>     <!-- distributed under the License is distributed on an "AS IS" BASIS,      -->
>     <!-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or        -->
>     <!-- implied. License for the specific language governing permissions and   -->
>     <!-- limitations under the License.                                         -->

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

See Also:
  Serialized Form

Constructor Summary
`RequestPermissionException(java.lang.String url)` Constructs an instance of this class for the given URL.

Method Summary
`java.lang.String` | `getURL()` Returns the URL which we can not access.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestPermissionException

    public RequestPermissionException(java.lang.String url)

  Constructs an instance of this class for the given URL.

  Parameters:
    `url` - the URL which can not be accessed

Method Detail

### getURL

    public java.lang.String getURL()

  Returns the URL which we can not access.

  Returns:
    the URL which we cannot access.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD